#! /bin/bash
# Simple script to automate the spearmint optimization process
#  for a simple polynomial problem
# First, provide 3 input/output pairs in "orig_results.dat"
# Next, iteratively seek the next 3 query points from spearmint
#  that maximize the expected improvement objective
# NB: spearmint writes *lots* of messy stuff to stderr
#   so I redirect it to a log file to keep io clean

cp orig_results.dat results.dat
for i in {1..10}
do
        
    python simplepoly.py
    
    cd ../
    echo 'Fetching next query points from spearmint...'
    python spearmint-lite.py --n=3 --method=GPEIOptChooser --method-args=mcmc_iters=25,noiseless=1 simplepoly 2> log.err   
    cd simplepoly/
done

python simplepoly.py
